json
{
"PortOutNumber": "+11234567890",
"PortOutPIN": "1234"
}curl -X POST https://api.telegent.com/v1.0/numbers/portout \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"PortOutNumber": "+112324567890",
"PortOutPIN": "1234"
}'import requests
url = "https://api.telegent.com/v1.0/numbers/portout"
payload = {
"PortOutNumber": "+11234567890",
"PortOutPIN": "1234"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({PortOutNumber: '+11234567890', PortOutPIN: '1234'})
};
fetch('https://api.telegent.com/v1.0/numbers/portout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"OrderId": "JNOID-dabada8a-....-....-....-.......",
"OrderDate": "2025-05-14T18:00:00.0000000+00:00",
"Status": "Pending",
"PhoneNumber": "+11234567890"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Numbers
Numbers - Port Out
Assign a Port Out PIN to a phone number on your Telegent account. The PIN you set here is the PIN you will be required to provide when you later initiate a port-out transfer to another carrier.
What this does: Saves the specified PIN against the phone number so it can be used to authorize a future port-out request.
Next steps:
- Track the port-out order —
GET /v1.0/numbers/order
POST
/
v1.0
/
numbers
/
portout
json
{
"PortOutNumber": "+11234567890",
"PortOutPIN": "1234"
}curl -X POST https://api.telegent.com/v1.0/numbers/portout \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"PortOutNumber": "+112324567890",
"PortOutPIN": "1234"
}'import requests
url = "https://api.telegent.com/v1.0/numbers/portout"
payload = {
"PortOutNumber": "+11234567890",
"PortOutPIN": "1234"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({PortOutNumber: '+11234567890', PortOutPIN: '1234'})
};
fetch('https://api.telegent.com/v1.0/numbers/portout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"OrderId": "JNOID-dabada8a-....-....-....-.......",
"OrderDate": "2025-05-14T18:00:00.0000000+00:00",
"Status": "Pending",
"PhoneNumber": "+11234567890"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}⌘I